org.apache.commons.jelly.tags.log

## Class LogTagSupport

- java.lang.Object
- - org.apache.commons.jelly.TagSupport
  - - org.apache.commons.jelly.tags.log.LogTagSupport

All Implemented Interfaces:
  Tag

Direct Known Subclasses:
  DebugTag, ErrorTag, FatalTag, InfoTag, TraceTag, WarnTag

    public abstract class LogTagSupport
    extends TagSupport

An abstract base class for any logging tag..

Version:
  $Revision: 155420 $
Author:
  James Strachan

### Field Summary

### Fields inherited from class org.apache.commons.jelly.TagSupport

`body, context, parent`

### Constructor Summary

Constructors
Constructor and Description
`LogTagSupport()`

### Method Summary

Methods
`org.apache.commons.logging.Log` `getLog()`
`boolean` `isEncode()` Returns whether the body of this tag will be XML encoded or not.
`void` `setEncode(boolean encode)` Sets whether the body of the tag should be encoded as text (so that < and > are encoded as &lt; and &gt;) or leave the text as XML which is the default.
`void` `setLog(org.apache.commons.logging.Log log)` Sets the Log instance to use for logging.
`void` `setName(String name)` Sets the name of the logger to use

### Methods inherited from class org.apache.commons.jelly.TagSupport

`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.commons.jelly.Tag

`doTag`

### Constructor Detail

#### LogTagSupport

    public LogTagSupport()

### Method Detail

#### getLog

    public org.apache.commons.logging.Log getLog()

Returns:
  the Log being used by this tag. If none is returned then a new one will be created.

#### setName

    public void setName(String name)

Sets the name of the logger to use

#### setLog

    public void setLog(org.apache.commons.logging.Log log)

Sets the Log instance to use for logging.

#### isEncode

    public boolean isEncode()

Returns whether the body of this tag will be XML encoded or not.

#### setEncode

    public void setEncode(boolean encode)

Sets whether the body of the tag should be encoded as text (so that < and > are encoded as &lt; and &gt;) or leave the text as XML which is the default.